Name = {{ inventory_hostname }}
AddressFamily = ipv4
Interface = {{ tinc_interface }}
{% for instance in connect_to_hosts %}
{% if instance != inventory_hostname %}
ConnectTo = {{instance}}
{% endif %}
{% endfor %}

{% for instance in connect_to_lan_hosts %}
{% if hostvars[instance]['location'] != 'none' and hostvars[instance]['location'] == location %}
ConnectTo = {{instance}}
{% endif %}
{% endfor %}

{% if listen_addresses is defined %}
{% for address in listen_addresses %}
BindToAddress = {{ address }} {{ tinc_port }}
{% endfor %}
{% else %}
{% if listen_interface is defined %}
BindToInterface = {{ listen_interface }}
{% endif %}
BindToAddress = * {{ tinc_port }}
{% endif %}

Mode = {{ tinc_mode }}

{% if (forwarding is defined and forwarding != True) or (public_ip is not defined)  %}
Forwarding = off
# StrictSubnets = yes
# TunnelServer = yes
{% else %}
{% endif %}

{% if auto_connect is not defined or auto_connect != True %}
AutoConnect = no
{% endif %}
